array {base} | R Documentation

## Multi-way Arrays

### Description

Creates or tests for arrays.

### Usage

    array(x, dim = length(x), dimnames = NULL)
    as.array(x)
    is.array(x)

### Value

`array` returns an array with the extents specified in `dim` and naming information in `dimnames`. The values in `x` are taken to be those in the array with the leftmost subscript moving fastest. If there are too few elements in `x` to fill the array, then the elements in `x` are recycled.

`as.array()` coerces its argument to be an array by attaching a `dim` attribute to it. It also attaches `dimnames` if `x` has `names`. The sole purpose of this is to make it possible to access the `dim`[names] attribute at a later time.

`is.array` returns `TRUE` or `FALSE` depending on whether its argument is an array (i.e., has a `dim` attribute) or not.

### See Also

`aperm`, `matrix`.

### Examples

    dim(as.array(letters))
    array(1:3, c(2,4)) # recycle 1:3 "2 2/3 times"
    #     [,1] [,2] [,3] [,4]
    #[1,]    1    3    2    1
    #[2,]    2    1    3    2

[Package Contents]